New HIV Testing for Infants CRFs and conditional continuation visit

25/01/2024 22:50 - Sara Schenkel

Status: Closed Start date: 25/01/2024

Priority: Normal Due date: 13/06/2024

Assignee: Nimrod Munatsi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Please see attached the CRFs for the new HIV testing and results for infants. This will require one CRF for all infants, and depending on

what is selected on the first form, additional forms will be required (to describe test dates, location, and results).

These can be found in EDC Spec Forms - CRFs --> "HIV Testing for Child (separate CRFs)

Thank you!

History

#1 - 05/02/2024 09:36 - Ame Diphoko

- Assignee set to Nimrod Munatsi

#2 - 05/02/2024 10:40 - Nimrod Munatsi

- Due date set to 08/02/2024

#3 - 12/02/2024 10:16 - Nimrod Munatsi

- Due date changed from 08/02/2024 to 13/02/2024

#4 - 15/02/2024 15:44 - Nimrod Munatsi

- Due date changed from 13/02/2024 to 15/02/2024

#5 - 16/02/2024 17:23 - Nimrod Munatsi

- Status changed from New to Resolved

#6 - 28/02/2024 12:58 - Gosego Masasa

- Status changed from Resolved to Feedback

The inline tables at Q3 and 6 are empty, currently resolve

#7 - 28/02/2024 14:17 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#8 - 29/02/2024 13:02 - Gosego Masasa

- File Add Infant HIV Testing and Results CRF _ Flourish Child.pdf added

- Status changed from Resolved to Feedback

Kindly allow Not applicable to be selected if child is not due for testing at Q8. Currently if Not applicable is selected the system does not allow and throws

an error, see attached. tested with PID 0699-6-10
Note; 1.to UAT if test specific CRF is triggered after selecting the respective test

2. To test if the error message will be triggered in the scenario where the child is younger than the window of the visit selected. The error message should

read as " test cannot be older than the child"

#9 - 04/03/2024 22:06 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#10 - 18/03/2024 16:59 - Gosego Masasa

- Status changed from Resolved to Feedback

Kindly avail the options at Q4 and Q6 , they are empty again

#11 - 18/03/2024 17:07 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#12 - 18/03/2024 17:57 - Gosego Masasa

- File ValueError at _admin_flourish_child_infanthivtesting_c1781b41-ef86-4f18-b3b6-4eefb03077c0_change_.pdf added

- Status changed from Resolved to Feedback

Uat'd with PID 0699-6-10;

1. When " No" is selected at Q3, edc throws a yellow screen instead of an error message-see attached

2. When more than 1 test is selected at Q4, the specific test CRF for the just added extra test is not triggered

3. Error message should be triggered if you select a test that is older than the age of the child-error message should read as " test cannot be older than the

child", used PID 1083-0-10 to UAT this scenario.

NB; to test each specific test CRF

#13 - 19/03/2024 14:03 - Nimrod Munatsi

- Due date changed from 15/02/2024 to 25/03/2024

#14 - 25/03/2024 10:17 - Nimrod Munatsi

- Due date changed from 25/03/2024 to 29/03/2024

#15 - 02/04/2024 10:17 - Nimrod Munatsi

- Assignee changed from Nimrod Munatsi to Ame Diphoko

#16 - 08/04/2024 11:19 - Ame Diphoko

- Assignee changed from Ame Diphoko to Nimrod Munatsi

#17 - 15/04/2024 10:09 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#18 - 24/04/2024 11:05 - Gosego Masasa

- Status changed from Resolved to Feedback
item 3 above, still not resolved

#19 - 25/04/2024 15:50 - Nimrod Munatsi

- Due date changed from 29/03/2024 to 26/04/2024

#20 - 29/04/2024 09:58 - Nimrod Munatsi

- Due date changed from 26/04/2024 to 03/05/2024

#21 - 06/05/2024 10:22 - Nimrod Munatsi

- Due date changed from 03/05/2024 to 07/05/2024

#22 - 13/05/2024 09:48 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#23 - 16/05/2024 19:18 - Sara Schenkel

- File HIV Testing for Child HEU CRF_16May24.docx added

- File HIV Testing for Child_6 Weeks After Breastfeeding_16May24.docx added

See attached the updated base CRF with the updated timepoint of 6 weeks after breast feeding (not 3 months after breastfeeding)

#24 - 16/05/2024 19:18 - Sara Schenkel

- Status changed from Resolved to New

#25 - 20/05/2024 09:49 - Nimrod Munatsi

- Due date changed from 07/05/2024 to 21/05/2024

#26 - 20/05/2024 10:46 - Nimrod Munatsi

- Status changed from New to Resolved

#27 - 23/05/2024 13:36 - Samuel Wilson Kgole

- File HIV Testing for Child_6 Weeks After Breastfeeding_23May24.docx added

- Subject changed from New HIV Testing for Infants CRFs to New HIV Testing for Infants CRFs and conditional continuation visit

- Status changed from Resolved to Feedback

Added updates:

1.responses at HIV test results question, and

2. Conditional continuation visit.

See updated CRF.

#28 - 27/05/2024 11:33 - Nimrod Munatsi

- Due date changed from 21/05/2024 to 28/05/2024

#29 - 30/05/2024 18:27 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#30 - 04/06/2024 14:06 - Samuel Wilson Kgole
- Assignee changed from Nimrod Munatsi to Samuel Wilson Kgole

reassigned

#31 - 07/06/2024 13:38 - Samuel Wilson Kgole

- File Results receved and results pending.pdf added

- Status changed from Resolved to Feedback

If results are received at Q 7, the results cannot be pending at Q11. see attached scenario on PID 502-2-60.

Continuation visit not triggered when results were not received or they were pending.

Capturing results on a continuation visit is better other than capturing them on next scheduled because there is another chance that the infant has tested

again, received results and have to be captured right there on that visit.

#32 - 10/06/2024 10:26 - Nimrod Munatsi

- Assignee changed from Samuel Wilson Kgole to Nimrod Munatsi

#33 - 10/06/2024 10:33 - Nimrod Munatsi

- Due date changed from 28/05/2024 to 13/06/2024

#34 - 10/06/2024 12:54 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#35 - 10/06/2024 13:58 - Samuel Wilson Kgole

- File Screenshot 2024-06-10 at 12.07.31.png added

- Status changed from Resolved to Feedback

continuation visit (2001.1) was created to capture results, however EDC created two CRFs for 6-8 weeks and 9 months although the child is 4 months old,

and the 6-8 weeks testing selected was at 2001 visit.

See attached.

FEEDBACK FOR DMC

1. child age to trigger CRF at a correct child age, and also aligning to a selected test at a certain age time point, eg: at birth, 6 weeks,,,,9 months, 18

months.

2. On continuation visit, Q3 to Q6 should be pre filled from a scheduled visit before. eg, 2001 visit Q3-6 should be carried forward to 2001.1 visit Q3-Q6.

#36 - 10/06/2024 18:22 - Nimrod Munatsi

- Status changed from Feedback to Resolved

#37 - 11/06/2024 12:00 - Samuel Wilson Kgole

- File Screenshot 2024-06-11 at 10.02.33.png added

- File Screenshot 2024-06-11 at 10.03.28.png added

- Status changed from Resolved to Closed
Passed

Unscheduled visit created automatically when results are not receive and pending on a scheduled visit. 

Auto fill of last test date and location is working

validation when selecting test type date that is not aligning to the child age is working.

DMC to lock pre-filled responses otherwise closing the ticket.

Files

HIV Testing for Child HEU CRF_24Jan24.docx 28.4 KB 25/01/2024 Sara Schenkel

HIV Testing CRF - Timepoints.zip 87.4 KB 25/01/2024 Sara Schenkel

Add Infant HIV Testing and Results CRF _ Flourish Child.pdf 106 KB 29/02/2024 Gosego Masasa

ValueError at _admin_flourish_child_infanthivtesting_c1781b41-ef86-4f18-b3b6-4eefb03077c0_change_.pdf526 KB 18/03/2024 Gosego Masasa

HIV Testing for Child HEU CRF_16May24.docx 28.7 KB 16/05/2024 Sara Schenkel

HIV Testing for Child_6 Weeks After Breastfeeding_16May24.docx 19.6 KB 16/05/2024 Sara Schenkel

HIV Testing for Child_6 Weeks After Breastfeeding_23May24.docx 20.1 KB 23/05/2024 Samuel Wilson Kgole

Results receved and results pending.pdf 124 KB 07/06/2024 Samuel Wilson Kgole

Screenshot 2024-06-10 at 12.07.31.png 220 KB 10/06/2024 Samuel Wilson Kgole

Screenshot 2024-06-11 at 10.03.28.png 54.6 KB 11/06/2024 Samuel Wilson Kgole

Screenshot 2024-06-11 at 10.02.33.png 114 KB 11/06/2024 Samuel Wilson Kgole

20/06/2025 5/5


